%global debug_package %{nil}

%if 0%{?fedora} >= 35
%global guilever 3.0
%global guilepkgver 30
%else
%global guilever 2.2
%global guilepkgver 22
%endif

# This is a temporary work-around until the fixes for
# https://github.com/rpm-software-management/rpm/issues/1765 land in
# Fedora.
%global __brp_strip /bin/true

Name:           guile-colorized
Version:        0.1.20191206git1625a79f
Release:        2%{?dist}
Summary:        Colorized REPL for GNU Guile

License:        GPLv3
URL:            https://gitlab.com/NalaGinrut/guile-colorized
Source0:        https://gitlab.com/NalaGinrut/guile-colorized/-/archive/1625a79f0e31849ebd537e2a58793fb45678c58f/guile-colorized-1625a79f0e31849ebd537e2a58793fb45678c58f.tar.gz

BuildRequires:  guile%{guilepkgver}-devel
Requires:       guile%{guilepkgver}

%description
Colorized REPL for GNU Guile.


%prep
%setup -n guile-colorized-1625a79f0e31849ebd537e2a58793fb45678c58f


%build
guild%{guilever} compile -o ice-9/colorized.go ice-9/colorized.scm


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/guile/%{guilever}/site-ccache/ice-9
install -p -m 644 ice-9/colorized.go $RPM_BUILD_ROOT%{_libdir}/guile/%{guilever}/site-ccache/ice-9

mkdir -p $RPM_BUILD_ROOT%{_datadir}/guile/site/%{guilever}/ice-9
install -p -m 644 ice-9/colorized.scm $RPM_BUILD_ROOT%{_datadir}/guile/site/%{guilever}/ice-9


%files
%license LICENSE
%doc README.md
%{_libdir}/guile/%{guilever}/site-ccache/ice-9/colorized.go
%{_datadir}/guile/site/%{guilever}/ice-9/colorized.scm
